Bug 79867 - Make an easier skill level
Summary: Make an easier skill level
Status: RESOLVED FIXED
Alias: None
Product: kreversi
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Inge Wallin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-18 09:26 UTC by Daniel Schepler
Modified: 2006-04-27 11:13 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Schepler 2004-04-18 09:26:09 UTC
Version:            (using KDE KDE 3.2.2)
Installed from:    Debian testing/unstable Packages

(This is forwarded from Debian bug #230514.)

From Philipp Schulte <phil AT stw DOT uni-duisburg DOT de>:

Don't laugh at me but I really think kreversi just plays too strong. I
can hardly beat it even at the "wimp"-skill but I am able to beat the
GNOME reversi at the strongest level almost always.
Comment 1 icefox 2004-05-11 20:54:34 UTC
But you can beat it at whimp level right? :)
Comment 2 Daniel Schepler 2004-05-18 23:10:19 UTC
Benjamin Meyer <ben@meyerhome.net> writes:

> ------- You are receiving this mail because: -------
> You reported the bug, or are watching the reporter.
>       
> http://bugs.kde.org/show_bug.cgi?id=79867      
>
>
>
>
> ------- Additional Comments From ben meyerhome net  2004-05-11 20:54 -------
> But you can beat it at whimp level right? :)

I'm forwarding this message to the original submitter.  Personally,
when I set the computer skill to "Beginner" (I don't see any "wimp"
setting anywhere, so I'm a bit confused...), I had no trouble beating
the computer.
Comment 3 icefox 2004-06-05 18:43:03 UTC
In 3.2.1 and 3.2.0 the easiest level was actually very hard.  This was fixed in 3.2.2.  Not sure if 3.2.2 was simply entered in or if it was automaticly added.
Comment 4 Inge Wallin 2004-09-16 23:00:37 UTC
CVS commit by ingwa: 

Add support for Casual vs. Competitive play.

This is in response to bug #79867 where the reporter wanted an easier
skill level.  According to a comment in the bug, this was fixed in KDE
3.2.2, by introducing a feature where the computer misses good moves
once in a while in a random fashion.

Unfortunately this also annoyed those who wanted KReversi to play as
strong as possible (me, among other people) since there was no way to
turn off this feature.  

This patch gives the best of both worlds: Those who want to play
casually with a weak opponent turns on "casual play" in the settings
and those that want a tough SOB for an opponent turns on "Competitive
play".

Only games played in competitive mode will be entered into the
highscore list from now on.  

This concept should also be applicable to other board games in
kdegames (kenolaba, kwin4, etc).

CCMAIL: 79867@bugs.kde.org


  M +14 -0     ChangeLog   1.31
  M +16 -7     Engine.cpp   1.16
  M +2 -1      Engine.h   1.15
  M +1 -1      SuperEngine.h   1.10
  M +8 -1      TODO   1.17
  M +17 -5     board.cpp   1.39
  M +8 -4      board.h   1.16
  M +6 -3      kreversi.cpp   1.23
  M +4 -0      kreversi.kcfg   1.6
  M +149 -102  settings.ui   1.5



Comment 5 Inge Wallin 2004-09-16 23:03:05 UTC
As seen above, I have just checked in a patch which adds Casual and Competitive play. So now both those that want an easy opponent and those that want to play a strong opponent can have their way.

Closing this bug.